-- 
-- File Name: occurrence_types.1.ada
-- 
with Ada.Exceptions;
with Unchecked_Conversion;
with System;

package Apex_Occurrence_Types is

    subtype Exception_Occurrence is Ada.Exceptions.Exception_Occurrence;

    subtype Exception_Occurrence_Access is
       Ada.Exceptions.Exception_Occurrence_Access;

    function To_Exception_Occurrence_Access is
       new Unchecked_Conversion (System.Address, Exception_Occurrence_Access);

    function "=" (X, Y : Exception_Occurrence_Access) return Boolean
       renames Ada.Exceptions."=";

end Apex_Occurrence_Types;

